Bug 1868194 - AWS provider: set proper instance tags on update
Summary: AWS provider: set proper instance tags on update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Alberto
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 23:59 UTC by Michael Gugino
Modified: 2020-10-27 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:28:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-aws pull 344 0 None closed Bug 1868194: Update incorrect instance tags 2020-09-25 07:29:00 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:28:21 UTC

Description Michael Gugino 2020-08-11 23:59:44 UTC
Description of problem:

On all currently released version (versions prior to 4.6), it is possible for users to create machines that specify instance tags which will overwrite the Name and ClusterID tags.  This results in a number of problems.

One such problem is that the openshift-installer will not be able to properly clean up any instances that are created with these tags.  We should prevent this from happening.

We should build logic to always enforce the proper tags are present on instances.

Comment 3 sunzhaohua 2020-08-27 09:56:53 UTC
verified
clusterversion: 4.6.0-0.nightly-2020-08-26-010422

create new machineset with invalid tags:
          tags:
          - name: kubernetes.io/cluster/zhsun826aws-db78r-invalid
            value: owned-invalid
          - name: Name
            value: owned-invalid

destroy cluaster, all instances could be deleted.

Comment 5 errata-xmlrpc 2020-10-27 16:28:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.